package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.IntegralClock;

import java.util.List;

/**
 * 打卡奖励积分Mapper接口
 *
 * @author flossom
 * @date 2024-01-25
 */
public interface IntegralClockMapper
{
    /**
     * 查询打卡奖励积分
     *
     * @param id 打卡奖励积分主键
     * @return 打卡奖励积分
     */
    public IntegralClock selectIntegralClockById(Long id);

    /**
     * 查询打卡奖励积分列表
     *
     * @param integralClock 打卡奖励积分
     * @return 打卡奖励积分集合
     */
    public List<IntegralClock> selectIntegralClockList(IntegralClock integralClock);

    /**
     * 新增打卡奖励积分
     *
     * @param integralClock 打卡奖励积分
     * @return 结果
     */
    public int insertIntegralClock(IntegralClock integralClock);

    /**
     * 修改打卡奖励积分
     *
     * @param integralClock 打卡奖励积分
     * @return 结果
     */
    public int updateIntegralClock(IntegralClock integralClock);

    /**
     * 删除打卡奖励积分
     *
     * @param id 打卡奖励积分主键
     * @return 结果
     */
    public int deleteIntegralClockById(Long id);

    /**
     * 批量删除打卡奖励积分
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIntegralClockByIds(Long[] ids);
}
